package cz.cvut.kbss.reporting.model;

import com.fasterxml.jackson.annotation.JsonTypeInfo;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.net.URI;

@Getter
@Setter
@JsonTypeInfo(include = JsonTypeInfo.As.PROPERTY, use = JsonTypeInfo.Id.CLASS, property = "javaClass")
@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
@Entity
public class Event extends AbstractEntity {

    @Basic(optional = false)
    @Column(nullable = false)
    private URI type;       // External taxonomy

    @Override
    public String toString() {
        return "Event{" + type +
                "}";
    }
}
